Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 230116 - potential crasher in network default options code
Summary: potential crasher in network default options code
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cups
Version: 6
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: FC6Update
TreeView+ depends on / blocked
 
Reported: 2007-02-26 18:44 UTC by Tim Waugh
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: 1.2.10-3.fc6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-04-10 11:53:48 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 2264 None None None Never

Description Tim Waugh 2007-02-26 18:44:22 UTC
Description of problem:
When removing a network default option for a printer a memory management bug can
be triggered.

Version-Release number of selected component (if applicable):
1.2.8-1.fc6

How reproducible:
100%

Steps to Reproduce:
1.Add three options, Apply (using s-c-printer).
2.Remove all three, Apply.
  
Actual results:
New option appears that's gobbledegook.

Filed upstream as STR #2264, with patch.

Comment 1 Tim Waugh 2007-04-10 11:53:48 UTC
Fixed in update: cups-1.2.10-3.fc6.


Note You need to log in before you can comment on or make changes to this bug.